import { Account, ConnectConfig } from 'near-api-js';
import { Command } from '@oclif/core';
import { FinalExecutionOutcome } from 'near-api-js/lib/providers';
import { OutputFlags } from '@oclif/core/lib/interfaces';
import BN from 'bn.js';
import { Tonic } from '@tonic-foundation/tonic';
export default abstract class BaseCommand extends Command {
    static flags: {
        networkId: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        accountId: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        contractId: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    account: Account;
    globalFlags: OutputFlags<typeof BaseCommand.flags>;
    tonic: Tonic;
    connectConfig: ConnectConfig;
    init(): Promise<void>;
    logTransaction(outcome: FinalExecutionOutcome): void;
}
export declare const BNflag: import("@oclif/core/lib/interfaces").Definition<BN>;
export declare const FloatFlag: import("@oclif/core/lib/interfaces").Definition<number>;
export declare const TokenIdFlag: import("@oclif/core/lib/interfaces").Definition<string>;
export declare function parseTokenId(s: string): Promise<string>;
